For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
      • GETList integrations
      • POSTCreate an integration
      • PATCHUpdate an integration
      • GETGet an installation
      • PATCHUpdate installation status
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
IntegrationsIntegrations

List integrations

GET
https://example.ada.support/api/v2/platform-integrations/
GET
/api/v2/platform-integrations/
1import requests
2
3url = "https://example.ada.support/api/v2/platform-integrations/"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "data": [
3 {
4 "id": "5df263b7db5a7e6ea03fae9b",
5 "status": "development",
6 "identifier_field_path": "credentials.knowledgeHubUrl",
7 "name": "Connect to Cool Shop Knowledge Hub",
8 "description": "Connect to Cool Shop Knowledge Hub to sync articles with your AI Agent's knowledge base",
9 "author": "Cool Shop",
10 "contact": "help@coolshop.support",
11 "uninstallation_url": "http://coolshop.com/uninstall",
12 "oauth_callback_url": "http://coolshop.com/",
13 "tags": [
14 "knowledge"
15 ],
16 "scopes": [
17 "articles:read",
18 "knowledge_sources:write"
19 ],
20 "configuration_fields": {
21 "title": "Connect to Cool Shop Knowledge Hub",
22 "type": "object",
23 "description": "Complete this form to integrate your Knowledge Hub with your AI Agent",
24 "required": [
25 "credentials"
26 ],
27 "properties": {
28 "credentials": {
29 "type": "object",
30 "title": "My Knowledge Hub credentials",
31 "description": "The following information is found in your Cool Shop admin center",
32 "properties": {
33 "knowledgeHubUrl": {
34 "type": "string",
35 "title": "Knowledge Hub URL",
36 "description": "The URL of your Knowledge Hub"
37 },
38 "secretKey": {
39 "type": "string",
40 "title": "Secret key",
41 "description": "Find your Knowledge Hub secret key on the Knowledge Hub Management page",
42 "format": "password"
43 }
44 },
45 "required": [
46 "knowledgeHubUrl",
47 "secretKey"
48 ]
49 }
50 }
51 },
52 "created": "2020-09-20T00:00:00+00:00",
53 "updated": "2020-09-20T00:00:00+00:00",
54 "icon_url": "https://example.com/icon.png",
55 "call_to_action": "Connect to Cool Shop Knowledge Hub",
56 "error_codes": {
57 "error_403": "Unauthorized",
58 "error_404": "Not Found"
59 }
60 }
61 ],
62 "meta": {
63 "next_page_url": "https://example.ada.support/api/v2/api-name?cursor=6658f91ea88ff7e389eff34d"
64 }
65}

Get a list of platform integrations owned by your account (e.g. a developer sandbox)

Was this page helpful?
Previous

Create an integration

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

cursorstringOptionalformat: "id"
The ID that marks the start or beginning of the returned records
limitintegerOptional1-100
The number of records to return

Response

Platform integrations
datalist of objects
metaobject

Errors

401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error